import { ETHToken, ETHTokenType, PositiveBigNumber, PositiveNumberString } from '@imtbl/imx-link-types';
import * as E from 'fp-ts/lib/Either';
import { Errors } from 'io-ts';
export declare function payloadId(): number;
export declare function formatError(err: any): Error;
export declare function sleep(time: number): Promise<unknown>;
export declare const getEthToken: (quantum: number) => E.Either<Errors, ETHToken>;
export declare const eth8Token: {
    type: ETHTokenType;
    data: {
        quantum: import("io-ts").Branded<import("io-ts").Branded<string, import("@imtbl/imx-link-types").NumberStringBrand>, import("@imtbl/imx-link-types").PositiveIntegerStringBrand>;
    };
};
export declare const eth8ToWei: (amount: PositiveBigNumber) => PositiveBigNumber;
export declare const ethToEth8: (amount: PositiveNumberString) => PositiveBigNumber;
export declare const eth8ToEth: (amount: PositiveBigNumber) => PositiveNumberString;
//# sourceMappingURL=utils.d.ts.map